Bug 256019 - net/libwebsockets: Update to 4.2.0
Summary: net/libwebsockets: Update to 4.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Juraj Lutter
URL: https://libwebsockets.org/git/libwebs...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-20 00:48 UTC by Daniel Engberg
Modified: 2021-06-06 14:29 UTC (History)
1 user (show)

See Also:


Attachments
Patch for libwebsockets (4.31 KB, patch)
2021-05-20 00:48 UTC, Daniel Engberg
no flags Details | Diff
Patch for libwebsockets v2 (4.33 KB, patch)
2021-06-05 09:33 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg 2021-05-20 00:48:33 UTC
Created attachment 225108 [details]
Patch for libwebsockets

Update libwebsockets to 4.2.0
Enable mqtt support by default
"Hack" around hard git requirement

Compile tested on 13.0-STABLE #0 stable/13-n245283-70a2e9a3d44 (arm64) (make, make check-plist)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 1 Bugzilla Automation freebsd_committer 2021-05-20 00:48:33 UTC
Maintainer informed via mail
Comment 2 Daniel Engberg 2021-06-05 09:33:27 UTC
Created attachment 225569 [details]
Patch for libwebsockets v2

Merge CMAKE_ARGS into CMAKE_ON , thanks @tcberner for pointing it out
Comment 3 commit-hook freebsd_committer 2021-06-06 13:23:38 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ca989f6339de59653820f35a23f6107ee65d2e20

commit ca989f6339de59653820f35a23f6107ee65d2e20
Author:     Daniel Engberg <daniel.engberg.lists@pyret.net>
AuthorDate: 2021-06-06 13:22:22 +0000
Commit:     Juraj Lutter <otis@FreeBSD.org>
CommitDate: 2021-06-06 13:22:22 +0000

    net/libwebsockets: Update to 4.2.0

    - Update libwebsockets to 4.2.0
    - Enable mqtt support by default
    - "Hack" around hard git requirement

    PR:             256019

 net/libwebsockets/Makefile  | 13 ++++++++++---
 net/libwebsockets/distinfo  |  6 +++---
 net/libwebsockets/pkg-plist |  8 +++++---
 3 files changed, 18 insertions(+), 9 deletions(-)
Comment 4 commit-hook freebsd_committer 2021-06-06 13:25:39 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f22ce4a6908fce11b5ecd66e6344bc0c8bf3c604

commit f22ce4a6908fce11b5ecd66e6344bc0c8bf3c604
Author:     Daniel Engberg <daniel.engberg.lists@pyret.net>
AuthorDate: 2021-06-06 13:22:22 +0000
Commit:     Juraj Lutter <otis@FreeBSD.org>
CommitDate: 2021-06-06 13:24:14 +0000

    net/libwebsockets: Update to 4.2.0

    - Update libwebsockets to 4.2.0
    - Enable mqtt support by default
    - "Hack" around hard git requirement

    PR:             256019
    (cherry picked from commit ca989f6339de59653820f35a23f6107ee65d2e20)

 net/libwebsockets/Makefile  | 13 ++++++++++---
 net/libwebsockets/distinfo  |  6 +++---
 net/libwebsockets/pkg-plist |  8 +++++---
 3 files changed, 18 insertions(+), 9 deletions(-)
Comment 5 Juraj Lutter freebsd_committer 2021-06-06 13:27:22 UTC
Committed, thanks.
Comment 6 Tobias Kortkamp freebsd_committer 2021-06-06 14:04:01 UTC
You forgot to commit net/libwebsockets/files/patch-CMakeLists.txt, but it
might make more sense to just set LWS_BUILD_HASH through CMAKE_ARGS without
the BUILDINFO stuff?
Comment 7 Juraj Lutter freebsd_committer 2021-06-06 14:29:59 UTC
You are right, I've opened a review D30659 for Daniel Engberg.